Skip to Content
Authentication & Balance

Check SMS unit and wallet balance

View Markdown (.md)
GET
/api/v1/public/sms/balance

Retrieves the authenticated user's current SMS credit balance, pay-as-you-go (PAYG) monetary cash balance, and active account currency.

Authorization

headerX-Api-Key<token>

SMS Pro API Key (sk_live_... or sk_test_...)

Response Body

Current account balance details

application/json
  1. response
status?string
data?
Example Request
curl -X GET 'https://api.smspro.com/api/v1/public/sms/balance'
Example Response
{  "status": "string",  "data": {    "balance": 0,    "smsUnits": 0,    "currency": "string"  }}